Рекомендация Debian по безопасности

DSA-4455-1 heimdal -- обновление безопасности

Дата сообщения:
03.06.2019
Затронутые пакеты:
heimdal
Уязвим:
Да
Ссылки на базы данных по безопасности:
В системе отслеживания ошибок Debian: Ошибка 928966, Ошибка 929064.
В каталоге Mitre CVE: CVE-2018-16860, CVE-2019-12098.
Более подробная информация:

В Heimdal, реализации Kerberos 5, нацеленной на совместимость с MIT Kerberos, было обнаружено несколько уязвимостей.

  • CVE-2018-16860

    Айзак Букрис и Эндрю Бартлет обнаружили, что Heimdal может быть подвержен атакам по принципу человек-в-середине, вызванным неполной проверкой контрольных сумм. Подробности об этой проблеме можно найти в рекомендации Samba по адресу https://www.samba.org/samba/security/CVE-2018-16860.html.

  • CVE-2019-12098

    Было обнаружено, что ошибка проверки обмена ключами PA-PKINIT-KX на стороне клиента может позволить выполнить атаку по принципу человек-в-середине.

В стабильном выпуске (stretch) эти проблемы были исправлены в версии 7.1.0+dfsg-13+deb9u3.

Рекомендуется обновить пакеты heimdal.

С подробным статусом поддержки безопасности heimdal можно ознакомиться на соответствующей странице отслеживания безопасности по адресу https://security-tracker.debian.org/tracker/heimdal